Storyden
Admin

Admin O Auth Registration Approval Bulk Submit

Approve or deny all pending, unexpired registrations created on or before the queue snapshot time, across all pages. Already decided, cancelled, consumed and expired requests are excluded. Returns the number of requests changed; approval creates only when clients poll.

POST
/admin/oauth/registration-approvals/decision

Approve or deny all pending, unexpired registrations created on or before the queue snapshot time, across all pages. Already decided, cancelled, consumed and expired requests are excluded. Returns the number of requests changed; approval creates only when clients poll.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
approved*boolean
created_before*string

Queue snapshot_at timestamp. Only pending requests created on or before this time are included.

Formatdate-time

Response Body

Number of pending requests changed.

application/json
  1. response
updated*integer
Range0 <= value
Example Request
curl -X POST 'https://example.com/api/admin/oauth/registration-approvals/decision' \  -H 'Content-Type: application/json' \  -d '{  "approved": true,  "created_before": "2019-08-24T14:15:22Z"}'
Example Response
{  "updated": 0}